// Climate Framework for Uncertainty, Negotiation and Distribution
// Version 3.3
// (c) David Anthoff and Richard S.J. Tol
// http://www.fund-model.org
namespace Fund.Components.Ocean;

interface

uses Esmf;

type
  /// <summary>State for the ocean component</summary>  
  IOceanState = public interface
    /// <summary> Sea-level rise in cm </summary>
    property sea: IVariable1Dimensional<Timestep, double> read;
    
    /// <summary> Delay in sea-level rise</summary>
    property delaysea: double read;
    
    /// <summary> </summary>
    property seas: double read;
    
    /// <summary> Temperature incrase in C </summary>
    property temp: IParameter1Dimensional<Timestep, double> read;
  end;
  
implementation

end.