// Climate Framework for Uncertainty, Negotiation and Distribution
// Version 3.3
// (c) David Anthoff and Richard S.J. Tol
// http://www.fund-model.org
namespace Fund.Components.Ocean;

interface

uses Esmf;

type

  /// <summary>Simple ocean component</summary>  
  OceanComponent = public class
  private
  protected
  public
  public
    /// <summary>Calculates all ocean variables</summary>
    method Run(clock: Clock; state: IOceanState);    
  end;
  
implementation

method OceanComponent.Run(clock: Clock; state: IOceanState); 
begin
  var s:=state;
  var t:=clock.Current;
  
  // Calculate sea level rise  
  var ds:=s.delaysea*s.seas*s.temp[t] - s.delaysea*s.sea[t-1];
  
  s.sea[t]:=s.sea[t-1] + ds;
end;

end.