// Climate Framework for Uncertainty, Negotiation and Distribution
// Version 3.3
// (c) David Anthoff and Richard S.J. Tol
// http://www.fund-model.org
namespace Fund;

interface

uses Esmf,
     Fund.CommonDimensions;

type
  
  IFundOld2ImpactHeatingCoolingState = public interface
    property cumaeei: IVariable2Dimensional<Timestep, Region, double> read;    
  end; 
  
  FundOld2ImpactHeatingCooling = public class
  private
  protected
  public
    method Run(clock: Clock; state: IFundOld2ImpactHeatingCoolingState; legacyData: LegacyFund28Data);            
  end;
  
implementation

method FundOld2ImpactHeatingCooling.Run(clock: Clock; state: IFundOld2ImpactHeatingCoolingState; legacyData: LegacyFund28Data); 
begin
  // Couple SocioEconomic component to FUND 2.8
  // Move data to SocioEconomic component
  for each r: Fund.CommonDimensions.Region in Enum.GetValues(typeof(Fund.CommonDimensions.Region)) do
  begin
    // Carefull, we pass the total aeei in, with mitigation already factored in!
    state.cumaeei[clock.Current,r]:=legacyData.economy[ord(r)].cumaeei*(1.0-legacyData.economy[ord(r)].seei);
  end;   
end;

end.