// Climate Framework for Uncertainty, Negotiation and Distribution
// Version 3.3
// (c) David Anthoff and Richard S.J. Tol
// http://www.fund-model.org
namespace Fund;

interface

uses Esmf;

type
  
  ISocioEconomic2ImpactBioDiversityState = public interface
    property income: IVariable2Dimensional<Timestep, Fund.CommonDimensions.Region,double> read;
    property population: IVariable2Dimensional<Timestep, Fund.CommonDimensions.Region,double> read;
    
    property incomesource: IParameter2Dimensional<Timestep, Fund.CommonDimensions.Region,double> read;
    property populationsource: IParameter2Dimensional<Timestep, Fund.CommonDimensions.Region,double> read;
    
  end; 

  SocioEconomic2ImpactBioDiversity = public class
  private
  protected
  public
    method Run(clock: Clock; state: ISocioEconomic2ImpactBioDiversityState);    
  end;
  
implementation

method SocioEconomic2ImpactBioDiversity.Run(clock: Clock; state: ISocioEconomic2ImpactBioDiversityState); 
begin
  var t:=clock.Current;
  var s:=state;
  
  for each r: Fund.CommonDimensions.Region in Enum.GetValues(typeof(Fund.CommonDimensions.Region)) do
  begin
    var r2:=Fund.CommonDimensions.Region(Enum.Parse(typeof(Fund.CommonDimensions.Region), r.ToString()));
    
    s.income[t,r2]:=s.incomesource[t,r];
    s.population[t,r2]:=s.populationsource[t,r];
  end;
end;

end.