// Climate Framework for Uncertainty, Negotiation and Distribution
// Version 3.3
// (c) David Anthoff and Richard S.J. Tol
// http://www.fund-model.org
namespace Fund;

interface

type
  AnthoffAggregationFactor = public class (WeightingScheme)
  private
    _parameters: FundParameter;
  protected
    function GetName: string; override;
  protected
    function GetWeight(Year: Integer; Region: integer): double; override;
  public
    constructor(parameters: FundParameter);

    procedure CalculateWeights(ModelOutput: ModelOutput); override;
  end;
  
implementation

{ AnthoffAggregationFactor }

procedure AnthoffAggregationFactor.CalculateWeights(
  ModelOutput: ModelOutput);
begin

end;

constructor AnthoffAggregationFactor(parameters: FundParameter);
begin
  inherited constructor;
  _parameters:=parameters;
end;

function AnthoffAggregationFactor.GetName: string;
begin
  Result:='aggregation coefficient';
end;

function AnthoffAggregationFactor.GetWeight(Year,
  Region: integer): double;
begin
  Result:=_parameters.davideqf[Year, Region];
end;

end.