// Climate Framework for Uncertainty, Negotiation and Distribution
// Version 3.3
// (c) David Anthoff and Richard S.J. Tol
// http://www.fund-model.org
namespace Fund;

interface

type
  ConstantFactorWeight = public class (WeightingScheme)
  private
    m_weight: Double;
    m_name: String;
  protected
    method GetName: string; override;
    method GetWeight(Year: Integer; Region: integer): double; override;  
  public
    constructor(weight: Double; name: String); 
    method CalculateWeights(ModelOutput: ModelOutput); override;  
  end;
  
implementation

method ConstantFactorWeight.GetName: string; 
begin
  Result:=m_name;
end;

method ConstantFactorWeight.GetWeight(Year: Integer; Region: integer): double; 
begin
  Result:=m_weight;
end;

method ConstantFactorWeight.CalculateWeights(ModelOutput: ModelOutput); 
begin
end;

constructor ConstantFactorWeight(weight: Double; name: String); 
begin
  m_weight:=weight;
  m_name:=name;
end;

end.